Skip to main content
POST
/
api
/
v1
/
verification
/
philippines
/
nationalpolice
Philippines National Police
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v1/verification/philippines/nationalpolice \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "surname": "<string>",
  "clearanceNo": "<string>",
  "template_id": "{your_trust_flow_id}",
  "verification_id": "{your_created_verification_id}"
}
'
{
  "status": true,
  "message": "OK",
  "response": {
    "valid": true,
    "data": {
      "clearanceNo": "TRA30K20230123012345",
      "surname": "John Doe"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json
Content-Type
string
default:application/json

Body

application/json
surname
string
required

Surname of individual for verification.

clearanceNo
string
required

Philippines National Police Clearance number for verification.

template_id
string
required

Identifier used to categorize or group requests for tracking or reporting.

verification_id
string
required

A unique ID used to identify your verification request.

Response

200 - application/json

Philippines National Police verified successfully

status
boolean
message
string
response
object